Subject: bug#44113: 28.0.50; crash with cairo and Noto Sans Javanese font

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Oct 2020 18:37:58 +0300

> From: Stephen Berman <[email-masked]>
> Date: Wed, 21 Oct 2020 15:25:13 +0200
> Cc: [email-masked]
> 
> > Looking at the backtrace, this could be another manifestation of
> > bug#41627. That bug has a patch, would it be possible to try it?
> 
> I assume you mean Pip Cet's second patch, in
> <CAOqdjBc+x65eSjsvgKv=[email-masked]>?  I
> applied that and rebuilt from master, and reinstalled the problematic
> NotoSansJavanese-Regular.ttf font, and now with it displaying etc/HELLO
> does not crash Emacs, and the Javanese characters are displayed as tofu.
> So this is another datapoint in favor of installing that patch.  Thanks
> for the pointer.

Yes, let's install that patch (I guess on the emacs-27 branch?).

However, there are more places in that function where we call APIs
which could return NULL, and then dereference their return values
without checking.  Could someone who can build with Cairo please
install similar changes in those other places?

TIA